Subject: Re: [RFC PATCH v2 4/7] parse: create new library for parsing strings and env values

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Aug 2023 15:19:45 -0700

Jonathan Tan <[email-masked]> writes:

> Thanks - I think that patches 1 through 4 are worth merging even now.
> One thing we hoped to accomplish through the libification effort is to
> make changes that are beneficial even outside the libification context,
> and it seems that this is one of them. Previously, code needed to
> include config.h even when it didn't use the main functionality that
> config.h provides (config), but now it no longer needs to do so. (And
> same argument for hex, although on a smaller scale.)

Thanks for writing this down.  The parser is shared across handling
data that come from config, environ, and options, and separating it
as a component different from the config does make sense.